"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importDefault(require("react"));
// Import sheet and code components
const MitoSheet_1 = __importDefault(require("./MitoSheet"));
const SheetTab_1 = __importDefault(require("./SheetTab"));
const ErrorOverlay_1 = __importDefault(require("./ErrorOverlay"));
const MitoToolbar_1 = __importDefault(require("./MitoToolbar"));
// Import css
require("../../css/mito.css");
class Mito extends react_1.default.Component {
    constructor(props) {
        super(props);
        this.state = {
            dfName: this.props.dfName,
            sheetJSON: this.props.sheetJSON,
            codeJSON: this.props.codeJSON,
            errorJSON: undefined
        };
    }
    render() {
        return (react_1.default.createElement("div", { className: "sheet-container" },
            react_1.default.createElement(MitoToolbar_1.default, { sheetJSON: this.state.sheetJSON, send: this.props.send }),
            react_1.default.createElement(MitoSheet_1.default, { sheetJSON: this.state.sheetJSON, send: this.props.send }),
            react_1.default.createElement(ErrorOverlay_1.default, { errorJSON: this.state.errorJSON, onClick: () => { this.setState({ errorJSON: undefined }); } }),
            react_1.default.createElement("div", { key: this.state.dfName, className: "sheet-tab-bar" },
                react_1.default.createElement(SheetTab_1.default, { sheetName: this.state.dfName }))));
    }
}
exports.default = Mito;
//# sourceMappingURL=Mito.js.map